Filter values

GET
/v1/analytics/filter/{filterAttribute}

Get possible values to be used with a given filter attribute. Filter attributes are not metric or record specific, so one filter attribute can be used with multiple metrics/records. When a filter value is not relevant for a specific metric/record, it is simply ignored.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

filterAttribute*string

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Response Body

The possible filter values to be used when fetching metrics or records

application/json
  1. response
data?array<>
meta?
Example Request
curl -X GET 'https://dev.dixa.io/v1/analytics/filter/{filterAttribute}' \  -H 'Authorization: <API token>'
{
"data": [
{
"value": "CALLBACK",
"label": "Callback"
},
{
"value": "CONTACT_FORM",
"label": "Contact Form"
}
]
}